TROFF(1)

NAME
troff, nroff - text formatting and typesetting

SYNOPSIS
troff [ option ] ... [ file ] ...

nroff [ option ] ... [ file ] ...

DESCRIPTION
Troff formats text in the named files for printing on a Graphic Systems C/A/T phototypesetter; nroff is used for for typewriter-like devices. Their capabilities are described in the Nroff/Troff user's manual.

If no file argument is present, the standard input is read. An argument consisting of a single minus (-) is taken to be a file name corresponding to the standard input. The options, which may appear in any order so long as they appear before the files, are:

-olist
    Print only pages whose page numbers appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; and a final N- means from N to the end.

-nN Number first generated page N.

-sN Stop every N pages. Nroff will halt prior to every N pages (default N=1) to allow paper loading or changing, and will resume upon receipt of a newline. Troff will stop the phototypesetter every N pages, produce a trailer to allow changing cassettes, and resume when the typesetter's start button is pressed.

-mname
    Prepend the macro file /usr/share/tmac/tmac.name to the input files.

-raN
    Set register a (one-character) to N.

-i  Read standard input after the input files are exhausted.

-q  Invoke the simultaneous input-output mode of the rd request.

Troff only

-t  Direct output to the standard output instead of the phototypesetter.

-f  Refrain from feeding out paper and stopping phototypesetter at the end of the run.

-w  Wait until phototypesetter is available, if currently busy.

-b  Report whether the phototypesetter is busy or available. No text processing is done.

-a  Send a printable ASCII approximation of the results to the standard output.

-pN Print all characters in point size N while retaining all prescribed spacings and motions, to reduce phototypesetter elapsed time.

-Ffontdir
    The directory fontdir contains the font width tables instead of the default directory /usr/share/fonts. This option can be used to produce output for devices besides the phototypesetter.

If the file /usr/adm/tracct is writable, troff keeps phototypesetter accounting records there. The integrity of that file may be secured by making troff a 'set user-id' program.

FILES
/tmp/ta*    temporary file
/usr/share/tmac/tmac.*    standard macro files
/usr/share/term/*    terminal driving tables for
nroff
/usr/share/font/*    font width tables for
troff
/dev/cat    phototypesetter
/usr/adm/tracct    accounting statistics for /dev/cat

SEE ALSO
J. F. Ossanna, Nroff/Troff user's manual
B. W. Kernighan, A TROFF Tutorial
eqn(1), tbl(1), ms(7), me(7), man(7), col(1)